{
  "editor.formatOnType": true,
  "editor.formatOnSave": true,
  "[vue]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "editor.tabSize": 1,
  "editor.formatOnPaste": true,
  "editor.guides.bracketPairs": "active",
  "files.autoSave": "onFocusChange",
  "git.confirmSync": false,
  "workbench.startupEditor": "newUntitledFile",
  "editor.suggestSelection": "first",
  "editor.acceptSuggestionOnCommitCharacter": false,
  "css.lint.propertyIgnoredDueToDisplay": "ignore",
  "editor.quickSuggestions": {
    "other": true,
    "comments": true,
    "strings": true
  },
  "files.associations": {
    "editor.snippetSuggestions": "top"
  },
  "[css]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "editor.codeActionsOnSave": {
    "source.fixAll": "never",
    "source.fixAll.eslint": "explicit"
  },
  "iconify.excludes": ["el"],
  "editor.defaultFormatter": "esbenp.prettier-vscode",
  "[jsonc]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "i18n-ally.localesPaths": [
    "src/uni_modules/uni-table/i18n",
    "src/uni_modules/wot-design-uni/locale",
    "src/uni_modules/wot-design-uni/locale/lang",
    "src/uni_modules/uni-calendar/components/uni-calendar/i18n",
    "src/uni_modules/uni-countdown/components/uni-countdown/i18n",
    "src/uni_modules/uni-datetime-picker/components/uni-datetime-picker/i18n",
    "src/uni_modules/uni-fav/components/uni-fav/i18n",
    "src/uni_modules/uni-goods-nav/components/uni-goods-nav/i18n",
    "src/uni_modules/uni-load-more/components/uni-load-more/i18n",
    "src/uni_modules/uni-pagination/components/uni-pagination/i18n",
    "src/uni_modules/uni-popup/components/uni-popup/i18n",
    "src/uni_modules/uni-search-bar/components/uni-search-bar/i18n",
    "src/uni_modules/z-paging/components/z-paging/i18n"
  ],
  "cSpell.words": [
    "dcloudio",
    "iconfont",
    "JSAPI",
    "persistedstate",
    "pinia",
    "VITE",
    "Wechat",
    "Weixin",
    "xuexiaole"
  ]
}
